### Enumeration

# Gtk TextViewLayer

since: 4.0

#### Declaration

    enum Gtk.TextViewLayer

#### Description [src]

Used to reference the layers of `GtkTextView` for the purpose of customized drawing with the ::snapshot_layer vfunc.

Available since: 4.0

#### Members

`GTK_TEXT_VIEW_LAYER_BELOW_TEXT`

  The layer rendered below the text (but above the background).

  - Value: `0`
  - Nickname: `below-text`
  - Available since: 4.0
`GTK_TEXT_VIEW_LAYER_ABOVE_TEXT`

  The layer rendered above the text.

  - Value: `1`
  - Nickname: `above-text`
  - Available since: 4.0